.left-sidebar {
            
    width: 300px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
    outline: none;
    position: absolute;
    background: #e6f6e4;
    /* background: #6c9966; */

}

.right-sidebar {
    position: relative;
    margin-left: 300px;
    z-index: 4;
}

.smartphone-menu-trigger {
    position: relative;
    z-index: 20;
}

.robot-area {
    position: relative;
}

.bot-content {
    display: block;
    min-height: 80vh;
    position: relative
}

.header-bot {
    position: relative;
    z-index: 2;
}

.robot-area .chat-panel {
    /* overflow: scroll; */
    height: 100%;
    /* position: absolute; */
    width: 100%;
    margin-top: -70px;
    padding-top: 70px;
    /* display: block; */
    /* padding-bottom: 55px; */
    z-index: 1;
}

.left-sidebar,
.right-sidebar {
    display: block;
    border: 1px solid #e6f6e4;
    height: 100%;
}

.profile-image {
    width: 50px;
    height: 50px;
    border-radius: 40px;
}

.settings-tray {
    background: #eee;
    padding: 10px 15px;
    /* border-radius: 7px; */
}

.bot-group-header {
    display: flex;
}

.bot-group-header h2 {
    margin-top: 0px;
    font-size: 20px;
    margin-bottom: 0;
}

.bot-group-header .text {
    margin-left: 5px;
    /* width: 50%; */
}

.bot-group-header .text p {
    margin-bottom: 0;
}

.settings-tray .no-gutters {
    padding: 0;
}

.settings-tray--right {
    float: right;
}

.settings-tray--right i {
    margin-top: 10px;
    font-size: 25px;
    color: grey;
    margin-left: 10px;
    transition: 0.3s;
}

.settings-tray--right i:hover {
    color: #74b9ff;
    cursor: pointer;
}

.search-box {
    background: #fafafa;
    padding: 10px 13px;
}

.search-box .input-wrapper {
    background: #fff;
    border-radius: 40px;
}

.search-box .input-wrapper i {
    color: grey;
    margin-left: 7px;
    vertical-align: middle;
}



input {
    border: none;
    border-radius: 30px;
    width: 80%;
}

input::placeholder {
    color: #e3e3e3;
    font-weight: 300;
    margin-left: 20px;
}

input:focus {
    outline: none;
}

.friend-drawer {
    padding: 10px 15px;
    display: flex;
    vertical-align: baseline;
    background: #fff;
    transition: 0.3s ease;
}

.friend-drawer--grey {
    background: #eee;
}

.friend-drawer .text {
    margin-left: 12px;
    flex: 1;
}

.friend-drawer .text h6 {
    margin-top: 6px;
    margin-bottom: 0;
}

.friend-drawer .text p {
    margin: 0;
}

.friend-drawer .time {
    color: grey;
}

.friend-drawer--onhover:hover {
    background: #74b9ff;
    cursor: pointer;
}

.friend-drawer--onhover:hover p,
.friend-drawer--onhover:hover h6,
.friend-drawer--onhover:hover .time {
    color: #fff !important;
}

hr {
    margin: 5px auto;
    width: 60%;
}

.chat-bubble {
    padding: 10px 14px;
    background: #eee;
    margin: 10px 10px;
    border-radius: 9px;
    position: relative;
    animation: fadeIn 1s ease-in;
}

.chat-bubble time {
    float: right;
    font-size: 11px;
    font-style: italic;
}
[data-message_type="sell"]{
    color: red;
}
[data-message_type="buy"]{
    color: green;
}
[data-message_type="vsa"]{
    color: purple;
}
[data-message_type="prevsa"]{
    color: rgb(196, 169, 132);
}



@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.offset-md-9 .chat-bubble {
    background: #74b9ff;
    color: #fff;
}

.chat-box-tray {
    background: #eee;
    display: flex;
    align-items: baseline;
    padding: 10px 15px;
    align-items: center;
    margin-top: 19px;
    bottom: 0;
}

.chat-box-tray input {
    margin: 0 10px;
    padding: 6px 2px;
}

.chat-box-tray i {
    color: grey;
    font-size: 30px;
    vertical-align: middle;
}

.chat-box-tray i:last-of-type {
    margin-left: 25px;
}


@media screen and (max-device-width:640px),
screen and (max-width:640px) {
    .left-sidebar {
        display: none;
        box-shadow: 0 0 0 100em rgba(0, 0, 0, 0);
        transform: translate3d(-90, 0, 0);
        transition: all 0.3s ease-in-out;

    }


    .right-sidebar {
        margin-left: 0px
    }

}
